Package com.io7m.idstore.database.api

# Record Class IdDatabaseConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.database.api.IdDatabaseConfiguration

Record Components:
  `user` - The username with which to connect
  `password` - The password with which to connect
  `port` - The database TCP/IP port
  `upgrade` - The upgrade specification
  `create` - The creation specification
  `address` - The database address
  `databaseName` - The database name
  `clock` - A clock for time retrievals

public record IdDatabaseConfiguration(String user, String password, String address, int port, String databaseName, IdDatabaseCreate create, IdDatabaseUpgrade upgrade, Clock clock) extends Record
The server database configuration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdDatabaseConfiguration(String user, String password, String address, int port, String databaseName, IdDatabaseCreate create, IdDatabaseUpgrade upgrade, Clock clock)`
  The server database configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `address()`
  Returns the value of the `address` record component.
  `Clock`
  `clock()`
  Returns the value of the `clock` record component.
  `IdDatabaseCreate`
  `create()`
  Returns the value of the `create` record component.
  `String`
  `databaseName()`
  Returns the value of the `databaseName` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `password()`
  Returns the value of the `password` record component.
  `int`
  `port()`
  Returns the value of the `port` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdDatabaseUpgrade`
  `upgrade()`
  Returns the value of the `upgrade` record component.
  `String`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdDatabaseConfiguration

    public IdDatabaseConfiguration(String user, String password, String address, int port, String databaseName, IdDatabaseCreate create, IdDatabaseUpgrade upgrade, Clock clock)
    The server database configuration.
    Parameters:
      `user` - The username with which to connect
      `password` - The password with which to connect
      `port` - The database TCP/IP port
      `upgrade` - The upgrade specification
      `create` - The creation specification
      `address` - The database address
      `databaseName` - The database name
      `clock` - A clock for time retrievals

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public String user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component

  - ### password

    public String password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### address

    public String address()
    Returns the value of the `address` record component.
    Returns:
      the value of the `address` record component

  - ### port

    public int port()
    Returns the value of the `port` record component.
    Returns:
      the value of the `port` record component

  - ### databaseName

    public String databaseName()
    Returns the value of the `databaseName` record component.
    Returns:
      the value of the `databaseName` record component

  - ### create

    public IdDatabaseCreate create()
    Returns the value of the `create` record component.
    Returns:
      the value of the `create` record component

  - ### upgrade

    public IdDatabaseUpgrade upgrade()
    Returns the value of the `upgrade` record component.
    Returns:
      the value of the `upgrade` record component

  - ### clock

    public Clock clock()
    Returns the value of the `clock` record component.
    Returns:
      the value of the `clock` record component